The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP 5.4.4 missing ioncube?

Discussion in 'General Discussion' started by radeonpower, Jul 11, 2012.

  1. radeonpower

    radeonpower Well-Known Member

    Joined:
    Jul 23, 2009
    Messages:
    129
    Likes Received:
    1
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Hello, I just installed php 5.4.4 and I noticed this in my error log:

    Cannot load the ionCube PHP Loader - it was built with configuration API220090626,NTS, whereas running engine is API220100525,NTS

    root@ai [/usr/local/cpanel]# /scripts/phpextensionmgr install IonCubeLoader
    Installing IonCubeLoader
    Determining PHP version
    Installing IonCube Loader binaries
    ioncube_loader_lin_5.4.so missing in IonCube Loader tarball at ./cpanel-install line 57.

    Also I'm seeing this:

    PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20100525/suhosin.so

    It's missing from the extensiondir /usr/local/lib/php/extensions/no-debug-non-zts-20100525

    but present in the old /usr/local/lib/php/extensions/no-debug-non-zts-20090626/
     
    #1 radeonpower, Jul 11, 2012
    Last edited: Jul 11, 2012
  2. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Could you submit a ticket on this issue? We've just introduced PHP 5.4 and would want to know of any bugs occurring like this due to it. You could use http://go.cpanel.net/bugs

    Thanks!
     
  3. radeonpower

    radeonpower Well-Known Member

    Joined:
    Jul 23, 2009
    Messages:
    129
    Likes Received:
    1
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Your Request id is: 2909390.
     
  4. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    This does appear to be an internal case. We've opened up a bug report (60260) on the issue. IonCube Loader does definitely support PHP 5.4 as of the middle of May (which appears to be what you are using) and only PHP 5.4 has it missing in EasyApache and the phpextensionmgr installer. If you select PHP 5.3, you can install IonCube but not if you select PHP 5.4.
     
  5. srpurdy

    srpurdy Well-Known Member

    Joined:
    Jun 1, 2011
    Messages:
    101
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    Root Administrator
    Yeah I don't see it either if I select php 5.4.4 I do if I select php 5.3.14
     
  6. radeonpower

    radeonpower Well-Known Member

    Joined:
    Jul 23, 2009
    Messages:
    129
    Likes Received:
    1
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Well, I went ahead and tried to upgrade to PHP 5.4.7 and I'm still seing the these errors?

    [19-Sep-2012 22:01:41 UTC] PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20100525/suhosin.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0

    /scripts/phpextensionmgr install PHPSuHosin

    make: *** [suhosin.lo] Error 1
    Determining PHP version
    Could not determine PHP version from output:
     
    #6 radeonpower, Sep 19, 2012
    Last edited: Sep 19, 2012
  7. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Suhosin support isn't yet added for PHP 5.4 and we have internal case 60272 on that issue. I've added this forum thread to that case.

    Going forward, please open up a new thread for new issues. The current thread was about IonCube Loader.
     
Loading...

Share This Page